vlax-curve-getstartparam


(vlax-curve-getstartparam curveEnt)

This function returns the "start parameter" of the curveEnt curve entity.

Arguments

curveEnt  (ename or vla-object) the COM object of any "curve" entity

Return

double;  the start parameter of the curve or NIL

Example

last entity is a LINE<0,0,0> to <10,10,10> :
(setq ent (vlax-ename->vla-object (entlast)))  #<VLA-OBJECT IAcadLine 000000004E8E3928>
(vlax-curve-getstartparam ent)  0.0

Remarks

for most entities, the "start parameter" is 0.0 - but there is no guarantee for this !
never assume the "start parameter" to be 0.0, always query the entity for its "start parameter" !



©  Bricsys NV. All rights reserved.